summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2007-04-29 12:59:39 +0000
committerUlrich Müller <ulm@gentoo.org>2007-04-29 12:59:39 +0000
commit81b543620f478d6d36c046633865d5491f11e19c (patch)
tree2df611557aa2e9019a8c545cf45e47e61b3da587 /eclass/elisp-common.eclass
parentFix dependencies and call java-pkg-2_pkg_setup in pkg_setup. (diff)
downloadhistorical-81b543620f478d6d36c046633865d5491f11e19c.tar.gz
historical-81b543620f478d6d36c046633865d5491f11e19c.tar.bz2
historical-81b543620f478d6d36c046633865d5491f11e19c.zip
Handle the case in elisp-site-regen that there are no site-init files.
Diffstat (limited to 'eclass/elisp-common.eclass')
-rw-r--r--eclass/elisp-common.eclass12
1 files changed, 5 insertions, 7 deletions
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index 3a788bfc8ec5..dfb2d3ca5524 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.19 2007/04/27 16:10:48 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.20 2007/04/29 12:59:39 ulm Exp $
#
# Copyright 2007 Christian Faulhammer <opfer@gentoo.org>
# Copyright 2002-2007 Matthew Kennedy <mkennedy@gentoo.org>
@@ -151,13 +151,11 @@ elisp-site-regen() {
;;; -----------------------------------------------------------------
EOF
- ls ${ROOT}${SITELISP}/[0-9][0-9]*-gentoo.el | sort -n | \
- while read sf
+ for sf in ${ROOT}${SITELISP}/[0-9][0-9]*-gentoo.el
do
- einfo " Adding $(basename $sf) ..."
- # Great for debugging, too noisy and slow for users though
-# echo "(message \"Loading $sf ...\")" >>${ROOT}${SITELISP}/site-start.el
- cat $sf >>${ROOT}${SITELISP}/site-gentoo.el
+ [ -r "${sf}" ] || continue
+ einfo " Adding $(basename ${sf}) ..."
+ cat "${sf}" >>${ROOT}${SITELISP}/site-gentoo.el
done
while read line; do einfo "${line}"; done <<EOF